# Uses of Interface
org.eclipse.net4j.util.om.OMBundle

Packages that use OMBundle
Package
Description
org.eclipse.net4j.util.om
Interfaces and classes for platform-independent operations and maintenance (O&M).
org.eclipse.net4j.util.om.log
Interfaces and classes for platform-independent logging.
org.eclipse.net4j.util.om.pref
Interfaces and classes for platform-independent preference management.
org.eclipse.net4j.util.om.trace
Interfaces and classes for platform-independent tracing.
org.eclipse.net4j.util.ui
Reusable UI components.

## Uses of OMBundle in org.eclipse.net4j.util.om

Methods in org.eclipse.net4j.util.om that return OMBundle
Modifier and Type
Method
Description
`OMBundle`
OMPlatform.`bundle(String bundleID, Class<?> accessor)`
`final OMBundle`
OSGiActivator.`getOMBundle()`
Methods in org.eclipse.net4j.util.om with parameters of type OMBundle
Modifier and Type
Method
Description
`static org.osgi.framework.BundleContext`
OSGiUtil.`getBundleContext(OMBundle bundle)`
`static void`
OSGiActivator.`start(OMBundle bundle)`
`static void`
LegacyUtil.`startBundles(OMBundle[] bundles)`
`static void`
OSGiActivator.`stop(OMBundle bundle)`
`static void`
LegacyUtil.`stopBundles(OMBundle[] bundles)`
Constructors in org.eclipse.net4j.util.om with parameters of type OMBundle
Modifier
Constructor
Description
``
`OSGiActivator(OMBundle omBundle)`
``
`StateHandler(OMBundle bundle)`
``
`WithState(OMBundle bundle)`

## Uses of OMBundle in org.eclipse.net4j.util.om.log

Methods in org.eclipse.net4j.util.om.log that return OMBundle
Modifier and Type
Method
Description
`OMBundle`
Logger.`getBundle()`
`OMBundle`
OMLogger.`getBundle()`
Constructors in org.eclipse.net4j.util.om.log with parameters of type OMBundle
Modifier
Constructor
Description
``
`Logger(OMBundle bundle)`

## Uses of OMBundle in org.eclipse.net4j.util.om.pref

Methods in org.eclipse.net4j.util.om.pref that return OMBundle
Modifier and Type
Method
Description
`OMBundle`
OMPreferences.`getBundle()`

## Uses of OMBundle in org.eclipse.net4j.util.om.trace

Methods in org.eclipse.net4j.util.om.trace that return OMBundle
Modifier and Type
Method
Description
`OMBundle`
ContextTracer.`getBundle()`
`OMBundle`
OMTracer.`getBundle()`
`OMBundle`
Tracer.`getBundle()`
Constructors in org.eclipse.net4j.util.om.trace with parameters of type OMBundle
Modifier
Constructor
Description
``
`Tracer(OMBundle bundle, String name)`

## Uses of OMBundle in org.eclipse.net4j.util.ui

Methods in org.eclipse.net4j.util.ui that return OMBundle
Modifier and Type
Method
Description
`final OMBundle`
UIActivator.`getOMBundle()`
Constructors in org.eclipse.net4j.util.ui with parameters of type OMBundle
Modifier
Constructor
Description
``
`UIActivator(OMBundle omBundle)`
``
`WithState(OMBundle bundle)`